package swampfile

import "time"

type Repository interface {
	Create(filename string, namespace_stub string) (SwampInFile, error)
	Open(filename string, namespace_stub  string) (SwampOutFile, error)
	Delete(filename string, namespace_stub  string)
	DeleteOlderThan(namespace_stub string, ts time.Time) error
}
